Package rdkit :: Package Chem :: Package FeatMaps :: Module FeatMapUtils :: Class MergeMethod

[hide private]
[frames] | no frames]

# Class MergeMethod

source code

    object --+
             |
            MergeMethod

Instance Methods | [hide private]

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

| WeightedAverage = `0` Put the new point at the weighted average position of the two...
| Average = `1` Put the new point at the un-weighted average position of the two...
| UseLarger = `2` Put the new point at the position of the larger (by weight)...

Properties | [hide private]

Inherited from `object`: `__class__`

Class Variable Details | [hide private]

### WeightedAverage

    Put the new point at the weighted average position of the two
    fused points

Value:

      0

### Average

    Put the new point at the un-weighted average position of the two
    fused points

Value:

      1

### UseLarger

    Put the new point at the position of the larger (by weight)
    of the two points

Value:

      2